complexType "TradeHeader"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | partyTradeIdentifier+, tradeInformation, tradeDate?
</...>

Content Model Elements (3):

  partyTradeIdentifier (in tradeHeader), tradeDate, | tradeInformation

All Direct / Indirect Based Elements (1):

  tradeHeader

Known Usage Locations

- As direct type of elements (1):
  tradeHeader

Annotation
A type defining trade related information which is not product specific.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="TradeHeader"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="tradeInformation" type="TradeInformation"/> <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"/> <!-- RPTWG 2009-11-12 begin--> <!--View Generation: SKIPPED clearedDate - Other-unavailable for this view--> <!-- RPTWG 2009-11-12 end --> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  The trade reference identifier(s) allocated to the trade by the parties involved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

tradeDate

  Type: | IdentifiedDate, simple content

  The trade date. This is the date the trade was originally executed. In the case of a novation, the novated part of the trade should be reported (by both the remaining party and the transferee) using a trade date corresponding to the date the novation was agreed. The remaining part of a trade should be reported (by both the transferor and the remaining party) using a trade date corresponding to the original execution date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"/>

tradeInformation

  Type: | TradeInformation, complex content

  Additional trade information that may be provided by each involved party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="tradeInformation" type="TradeInformation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.